menuconfig BR2_PACKAGE_GST_PLUGINS_BAD
	bool "gst-plugins-bad"
	depends on BR2_PACKAGE_GSTREAMER
	select BR2_PACKAGE_GST_PLUGINS_BASE
	help
	  A set of plug-ins that aren't up to par compared to the rest.
	  They might be close to being good quality, but they're missing
	  something - be it a good code review, some documentation, a set
	  of tests, a real live maintainer, or some actual wide use.
	  If the blanks are filled in they might be upgraded to become
	  part of either gst-plugins-good or gst-plugins-ugly,
	  depending on the other factors.

	  http://gstreamer.freedesktop.org/

if BR2_PACKAGE_GST_PLUGINS_BAD

comment "dependency-less plugins"

config BR2_PACKAGE_GST_PLUGINS_BAD_AACPARSE
	bool "aacparse"

config BR2_PACKAGE_GST_PLUGINS_BAD_ADPCMDEC
	bool "ADPCM decoder"

config BR2_PACKAGE_GST_PLUGINS_BAD_AIFF
	bool "aiff"

config BR2_PACKAGE_GST_PLUGINS_BAD_AMR
	bool "amr"

config BR2_PACKAGE_GST_PLUGINS_BAD_AUDIO_RESAMPLE
	bool "resample"

config BR2_PACKAGE_GST_PLUGINS_BAD_AUDIO_AUTOCONVERT
	bool "autoconvert"

config BR2_PACKAGE_GST_PLUGINS_BAD_AUDIO_CAMERABIN
	bool "camerabin"

config BR2_PACKAGE_GST_PLUGINS_BAD_AUDIO_LEGACYRESAMPLE
	bool "legacyresample"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_BAYER
	bool "bayer"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_CDXA
	bool "cdxa"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_DCCP
	bool "dccp"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_DTMF
	bool "dtmf"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_DVDSPU
	bool "dvdspu"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_FESTIVAL
	bool "festival"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_FREEZE
	bool "freeze"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_HDVPARSE
	bool "hdvparse"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_H264PARSE
	bool "h264parse"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_ID3TAG
	bool "id3tag"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_LIBRFB
	bool "librfb"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_LIVEADDER
	bool "liveadder"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_MODPLUG
	bool "modplug"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_MPEGDEMUX
	bool "mpegdemux"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_MPEGTSMUX
	bool "mpegtsmux"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_MPEG4_VIDEOPARSE
	bool "mpeg4videoparse"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_MPEG_VIDEOPARSE
	bool "mpegvideoparse"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_MVE
	bool "mve"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_MXF
	bool "mxf"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_NSF
	bool "nsf"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_NUVDEMUX
	bool "nuvdemux"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_PC_APPPARSE
	bool "pcappparse"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_QTMUX
	bool "qtmux"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_RAW_PARSE
	bool "rawparse"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_REAL
	bool "real"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_RTP_MANAGER
	bool "rtpmanager"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_RTP_MUX
	bool "rtpmux"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_SCALE_TEMPO
	bool "tempo"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_SDP
	bool "sdp"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_SHAPEWIPE
	bool "shapewipe"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_SELECTOR
	bool "selector"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_SIREN
	bool "siren"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_SPEED
	bool "speed"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_SUBENC
	bool "subenc"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_STEREO
	bool "stereo"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_TTA
	bool "tta"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_VALVE
	bool "valve"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_VIDEO_SIGNAL
	bool "videosignal"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_VMNC
	bool "vmnc"

config BR2_PACKAGE_GST_PLUGINS_BAD_PLUGIN_XDGMIME
	bool "xdgmime"

comment "plugins with external dependencies"


endif
